Arch Truss/it: Difference between revisions

From FreeCAD Documentation
(Created page with "===Creazione da un oggetto selezionato===")
(Created page with "=== Creare dall'inizio ===")
Line 34: Line 34:




=== Creare dall'inizio ===
===Creating from scratch===


# Make sure nothing is selected
# Make sure nothing is selected

Revision as of 21:31, 17 May 2020

Arch Truss

Posizione nel menu
Arch → Travatura
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Nessuno

Descrizione

Lo strumento Travatura crea un oggetto travatura, sia da un oggetto lineare selezionato (posta su una Linea di Draft o uno [[Sketcher_NewSketch/it|Schizzo] ]), o da zero se non viene selezionato alcun oggetto all'avvio del comando.

Utilizzo

Creazione da un oggetto selezionato

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Creare dall'inizio

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Proprietà

Dati

  • DatiTrussAngle: The angle of the truss
  • DatiSlantType: The slant type of this truss
  • DatiNormal: The normal direction of this truss
  • DatiHeightStart: The height of the truss at the start position
  • DatiHeightEnd: The height of the truss at the end position
  • DatiStrutStartOffset: An optional start offset for the top strut
  • DatiStrutEndOffset: An optional end offset for the top strut
  • DatiStrutHeight: The height of the main top and bottom elements of the truss
  • DatiStrutWidth: The width of the main top and bottom elements of the truss
  • DatiRodType: The type of the middle element of the truss
  • DatiRodDirection: The direction of the rods
  • DatiRodSize: The diameter or side of the rods
  • DatiRodSections: The number of rod sections
  • DatiRodEnd: If the truss has a rod at its endpoint or not
  • DatiRodMode: How to draw the rods

Script

Lo strumentoTravatura può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Truss = makeFence([baseobj])

Esempio:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties